View Issue Details

IDProjectCategoryView StatusLast Update
0038324LazarusWidgetsetpublic2021-03-01 11:58
ReporterBen Suttor Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.1 (SVN) 
Summary0038324: Qt5: TPanel.Color is not rendered
DescriptionThe color of a panel inside a disabled panel or form is not drawn when:

* BevelInner or BevelOuter are not set to either bvLowered or bvRaised.
In other words: at least one of either BevelInner or BevelOuter need to be set to the above values.

* BevelColor is set to anything other than clDefault
Steps To ReproduceTest app added
TagsNo tags attached.
Fixed in Revision64708
LazTarget-
WidgetsetQT5
Attached Files

Activities

Ben Suttor

2021-01-06 22:13

reporter  

panels.png (64,825 bytes)   
panels.png (64,825 bytes)   
panel.tar.gz (394,247 bytes)

Zeljan Rikalo

2021-01-19 13:45

developer   ~0128411

Please attach example project.

Ben Suttor

2021-01-29 13:18

reporter   ~0128650

Example project: https://bugs.freepascal.org/file_download.php?file_id=34419&type=bug

Zeljan Rikalo

2021-03-01 11:58

developer   ~0129271

Please test and close if ok.

Issue History

Date Modified Username Field Change
2021-01-06 22:13 Ben Suttor New Issue
2021-01-06 22:13 Ben Suttor File Added: panels.png
2021-01-06 22:13 Ben Suttor File Added: panel.tar.gz
2021-01-19 13:45 Zeljan Rikalo Assigned To => Zeljan Rikalo
2021-01-19 13:45 Zeljan Rikalo Status new => assigned
2021-01-19 13:45 Zeljan Rikalo LazTarget => -
2021-01-19 13:45 Zeljan Rikalo Note Added: 0128411
2021-01-29 13:18 Ben Suttor Note Added: 0128650
2021-03-01 11:58 Zeljan Rikalo Status assigned => resolved
2021-03-01 11:58 Zeljan Rikalo Resolution open => fixed
2021-03-01 11:58 Zeljan Rikalo Fixed in Revision => 64708
2021-03-01 11:58 Zeljan Rikalo Widgetset QT5 => QT5
2021-03-01 11:58 Zeljan Rikalo Note Added: 0129271